
ctools - Feature #1739

Implement cscript Python module unit tests

03/12/2016 12:56 AM - Knödlseder Jürgen

Status: Closed Start date: 03/12/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 20%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

The cscripts Python module is so far not tested. Unit tests should be implemented for that.

History

#1 - 03/12/2016 01:03 AM - Knödlseder Jürgen

- % Done changed from 0 to 20

I added a test_python_scripts Python test and renamed test_python to test_python_ctools. The cscripts Python module tests are also installed and

can be invoked using

$ python -c 'import cscripts; cscripts.test()'

similar to the ctools unit tests.

So far, only the cscaldb class is tested.

#2 - 06/03/2016 12:12 AM - Knödlseder Jürgen

- Status changed from New to Closed

All cscripts now have both command line and Python unit tests.
